
/*
 * Definitions of functions.
 */

/*
 * These are the functions in the standard repertoire.
 */

FncDef(abs,1)
FncDef(any,4)
FncDef(args,1)
FncDef(bal,6)
FncDef(center,3)
FncDef(char,1)
FncDef(chdir,1)
FncDef(close,1)
FncDef(collect,2)
FncDef(copy,1)
FncDef(cset,1)

#if UNIX || VMS
FncDef(delay,1)
#endif					/* UNIX || VMS */

FncDef(delete,2)
FncDefV(detab)
#ifdef MultiThread
FncDef(display,3)
#else					/* MultiThread */
FncDef(display,2)
#endif					/* MultiThread */
FncDefV(entab)
FncDef(errorclear,0)
FncDef(exit,1)
FncDef(find,4)
FncDef(flush,1)
FncDef(function,0)
FncDef(get,2)
FncDef(getenv,1)
FncDef(iand,2)
FncDef(icom,1)
FncDef(image,1)
FncDef(insert,3)
FncDef(integer,1)
FncDef(ior,2)
FncDef(ishift,2)
FncDef(ixor,2)
FncDef(key,2)
FncDef(left,3)
FncDef(list,2)
FncDef(many,4)
FncDef(map,3)
FncDef(match,4)
FncDef(member,1)
FncDef(move,1)
#ifdef MultiThread
FncDef(name,2)
#else						/* MultiThread */
FncDef(name,1)
#endif						/* MultiThread */
FncDef(numeric,1)

#ifdef XIcon
FncDefV(open)
#else					/* XIcon */
FncDef(open,3)
#endif					/* XIcon */

FncDef(ord,1)
FncDef(pop,1)
FncDef(pos,1)
#ifdef MultiThread
FncDef(proc,3)
#else					/* MultiThread */
FncDef(proc,2)
#endif					/* MultiThread */
FncDef(pull,1)
FncDef(push,2)
FncDef(put,1)
FncDef(read,2)
FncDef(reads,2)
FncDef(real,1)
FncDef(remove,2)
FncDef(rename,1)
FncDef(repl,2)
FncDef(reverse,1)
FncDef(right,3)
FncDefV(runerr)
FncDef(seek,2)
FncDef(seq,2)
FncDef(set,1)
FncDef(sort,2)
FncDef(sortf,2)
FncDefV(stop)
FncDef(string,1)
FncDef(tab,1)
FncDef(table,1)
FncDef(trim,2)
FncDef(type,1)
FncDef(upto,4)
#ifdef MultiThread
FncDef(variable,2)
#else						/* MultiThread */
FncDef(variable,1)
#endif						/* MultiThread */
FncDef(where,1)
FncDefV(write)
FncDefV(writes)

/*
 * System function.
 */

#ifdef SystemFnc
FncDef(system,1)
#endif					/* SystemFnc */

/*
 * Executable images.
 */

#ifdef ExecImages
FncDef(save,1)
#endif					/* ExecImages */

/*
 * External functions.
 */
#ifdef ExternalFunctions
FncDefV(callout)
#endif					/* ExternalFunctions */

/*
 * Math functions.
 */

#ifdef MathFncs
FncDef(acos,1)
FncDef(asin,1)
FncDef(atan,2)
FncDef(cos,1)
FncDef(dtor,1)
FncDef(exp,2)
FncDef(log,1)
FncDef(rtod,1)
FncDef(sin,1)
FncDef(sqrt,1)
FncDef(tan,1)
#endif					/* MathFncs */

#ifdef KeyboardFncs
FncDef(getch,0)
FncDef(getche,0)
FncDef(kbhit,0)
#endif					/* KeyboardFncs */

/*
 * Functions for MS-DOS.
 */

#ifdef DosFncs
FncDef(Int86,1)
FncDef(Peek,1)
FncDef(Poke,1)
FncDef(GetSpace,1)
FncDef(FreeSpace,1)
FncDef(InPort,1)
FncDef(OutPort,1)
#endif					/* DosFncs */

/*
 * Functions for the Archimedes.
 */

#ifdef ArmFncs
FncDef(Swi,2)
FncDef(Peek,2)
FncDef(Poke,2)
FncDef(GetSpace,1)
FncDef(FreeSpace,1)
#endif					/* ArmFncs */

/*
 * Functions to support program visualization.
 */

#ifdef Visualization
FncDef(serial,1)
FncDef(structure,1)
#endif					/* Visualization */

/*
 * Memory monitoring functions.
 */

#ifdef MemMon
FncDef(mmout,1)
FncDef(mmpause,1)
FncDef(mmshow,2)
#endif					/* MemMon */

/*
 * Event processing functions.
 */
#ifdef MultiThread
#ifdef EventMon
FncDef(EvGet,2)
FncDef(event,3)
#endif					/* EventMon */
#endif					/* MultiThread */

#ifdef XIcon
FncDef(XActive,0)
FncDefV(XAttrib)
FncDef(XBg,4)
FncDefV(XBind)
FncDef(XClearArea,5)
FncDefV(XClip)
#ifndef PresentationManager
FncDef(XColor,5)
#endif					/* PresentationManager */
FncDef(XCopyArea,8)
FncDefV(XDrawArc)
FncDefV(XDrawCurve)
FncDefV(XDrawLine)
FncDefV(XDrawPoint)
FncDefV(XDrawRectangle)
FncDefV(XDrawSegment)
FncDefV(XDrawString)
FncDef(XEraseArea,5)
FncDef(XEvent,1)
FncDef(XFg,4)
FncDefV(XFillArc)
FncDefV(XFillPolygon)
FncDefV(XFillRectangle)
FncDef(XFlush,1)
FncDef(XFont,2)
FncDef(XGotoRC,3)
FncDef(XGotoXY,3)
FncDef(XIconic,2)
#ifndef PresentationManager
FncDef(XIconImage,2)
FncDef(XIconLabel,2)
FncDef(XMoveIcon,3)
#endif					/* PresentationManager */
FncDef(XMoveWindow,5)
#ifndef PresentationManager
FncDef(XNewColor,4)
FncDef(XParseColor,2)
#endif					/* PresentationManager */
FncDefV(XPending)
FncDefV(XPixel)
FncDef(XQueryPointer,1)
FncDef(XReadImage,4)
FncDefV(XSetStipple)
FncDef(XSync,2)
FncDef(XTextWidth,3)
FncDef(XUnbind,1)
FncDef(XWarpPointer,3)
FncDef(XWindowLabel,2)
FncDef(XWriteImage,6)
#endif					/* XIcon */

#ifdef MultiThread
FncDef(cofail,1)
FncDefV(load)
FncDef(parent,1)
FncDef(eventmask,2)
FncDef(opmask,2)
FncDef(globalnames,1)
FncDef(keyword,2)
FncDef(localnames,1)
FncDef(staticnames,1)
FncDef(paramnames,1)
FncDef(fieldnames,1)
#endif					/* MultiThread */

#ifdef Xver
xver(fdefs.1)
#endif					/* Xver */
